Project

General

Profile

Feature #1627

Allow disabling bzip2 support when using rpmbuild

Added by Anonymous almost 12 years ago. Updated over 11 years ago.

Status:
Invalid
Priority:
Normal
Assignee:
-
Category:
build_autotools
Target version:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Missing in 1.5.x:

Description

The patch allows this to work (f.e. when you don't need bzip2 support):

  1. rpmbuild -ta --without bzip2 lighttpd.tar.gz

-- jani.taskinen


Files

lighttpd.spec.in-patch (540 Bytes) lighttpd.spec.in-patch Patch is done against file in 1.4.19 -- jani.taskinen Anonymous, 2008-04-04 15:15
#1

Updated by Anonymous almost 12 years ago

I would think this more as a defect since you can't build the rpm without this. :)

-- jani.taskinen

#2

Updated by stbuehler almost 12 years ago

Yes you can - install the library ;-)

But you maybe right as it looks like the library is not mentioned as "required".

I am no rpm expert, but i think the spec file looks rather bad - i suggest using a real spec-file from a distribution which actually uses it.

#3

Updated by glen over 11 years ago

  • Status changed from New to Assigned
#4

Updated by glen over 11 years ago

  • Status changed from Assigned to Fixed
  • Resolution set to invalid

lighttpd.spec is removed from svn. it will not be included in next release.
see r2157 and r2158

#5

Updated by stbuehler over 11 years ago

  • Status changed from Fixed to Invalid

Also available in: Atom